Bug 1683350 - FIPS provisioning templates need to be updated
Summary: FIPS provisioning templates need to be updated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning Templates
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Released
Assignee: Marek Hulan
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-26 16:09 UTC by Peter Ondrejka
Modified: 2019-10-07 17:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:40:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:25 UTC
Github RedHatSatellite satellite6-fips-client pull 1 None None None 2019-03-05 17:08:58 UTC
Github RedHatSatellite satellite6-fips-client pull 2 None None None 2019-02-28 15:33:39 UTC
Github RedHatSatellite satellite6-fips-client pull 3 None None None 2019-03-05 17:08:58 UTC
Github RedHatSatellite satellite6-fips-client pull 4 None None None 2019-03-05 17:08:58 UTC

Description Peter Ondrejka 2019-02-26 16:09:47 UTC
Description of problem:

Attempting to pup FIPS rhel host following documentation from [1] using templates from [2], template rendering fails with:

Warning! There was an error rendering the Kickstart Default PXELinux FIPS template: undefined method '#params' for Host::Managed::Jail (Host::Managed)


Version-Release number of selected component (if applicable):

Satellite 6.5 snap 17

How reproducible:

always 

Steps to Reproduce:
1. follow [1]

Additional info:

Would be nice to have these templates provided in satellite by default, without the need to pull from github

[1]https://access.redhat.com/documentation/en-us/red_hat_satellite/6.4/html/provisioning_guide/provision_fips_hosts
[2]https://github.com/RedHatSatellite/satellite6-fips-client

Comment 4 Marek Hulan 2019-02-28 15:33:40 UTC
Fix sent https://github.com/RedHatSatellite/satellite6-fips-client/pull/2, I guess once it's merged we can move to ON_QA, this is not shipped.

Comment 5 Marek Hulan 2019-02-28 16:06:49 UTC
Upstream PR has been merged, moving to ON_QA. If I misunderstood the flow for this repo, please let me know and switch back.

Comment 6 Peter Ondrejka 2019-03-04 12:26:17 UTC
After update Sat Kickstart default fails to render witn "Safemode doesn't allow to access 'block_pass' on &:present?", most likely we need to pull in fix [1] from [2]

[1] https://github.com/theforeman/community-templates/commit/760f3a28d1db59507962b1c6998e948d62cd2b53
[2] https://bugzilla.redhat.com/show_bug.cgi?id=1482060

Comment 7 Marek Hulan 2019-03-06 15:01:07 UTC
Peter, all fixes have been merged, moving back to ON_QA.

Comment 8 Peter Ondrejka 2019-03-06 16:12:00 UTC
Verified on Sat 6.5 snap 18

Comment 11 errata-xmlrpc 2019-05-14 12:40:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.